RECVMSG(2)

NAME
recvmsg - receive a message through a socket

SYNOPSIS
#include <sys/socket.h>
ssize_t recvmsg(int sd, struct msghdr * msg, int flags);

DESCRIPTION
recvfrom() receives a message from another socket. It may be used with connectionless and connection oriented sockets. At present, minix doesn't support setting flags to any value other than 0.

RETURN VALUES
On success, this function returns 0. On error, -1 is returned and errno is set.

ERRORS

[ENOSYS]
    The operation is not implemented for the given socket.

[EPIPE]
    The socket is shutdown for reading.

[EFAULT]
    msg is NULL.

SEE ALSO
socket(2), recvfrom(2), readv(2), sendmsg(2)

HISTORY
This function first appeared in Minix 3.1.8.